#####################################################################################
#
#		:::[  T h e   R u s s i a n   E g g d r o p  R e s o u r c e  ]::: 
#      ____                __                                                      
#     / __/___ _ ___ _ ___/ /____ ___   ___      ___   ____ ___ _     ____ __ __   
#    / _/ / _ `// _ `// _  // __// _ \ / _ \    / _ \ / __// _ `/    / __// // /   
#   /___/ \_, / \_, / \_,_//_/   \___// .__/ __ \___//_/   \_, / __ /_/   \___/    
#        /___/ /___/                 /_/    /_/           /___/ /_/                
#
#
#####################################################################################
#
# mts.tcl 1.0
#
# :
#     ;
# P.S: , .
# 
# :     scripts
#  eggdrop.conf  source scripts/mts.tcl
#
# Authors: hunt <hunt@eggshell.ru>
#
# Official support: irc.eggdrop.org.ru @ #eggdrop
# 
#####################################################################################
if { ![info exists egglib(ver)] } {
	putlog "***********************************************"
	putlog "             egglib_pub NOT FOUND !"
	putlog "   Download last version of egglib_pub here:"
	putlog "  http://eggdrop.org.ru/scripts/egglib_pub.zip"
	putlog "***********************************************"	
	die
}

if { [expr {$egglib(ver) < 1.4}] } {
	putlog "***********************************************"
	putlog " YOUR VERSION OF egglib_pub IS TOO OLD !"
	putlog "   Download last version of egglib_pub here:"
	putlog "  http://eggdrop.org.ru/scripts/egglib_pub.zip"
	putlog "***********************************************"
	putlog " version installed : $egglib(ver)"
	putlog " version required: 1.4"
	die
}
######################################################
foreach p [array names mts *] { catch {unset mts($p) } }

namespace eval mts {}

set mts(use_proxy) 0
set mts(proxy_host) "203.140.185.243"
set mts(proxy_port) "8080" 

bind pub - !mts			::mts::pub
bind msg - !mts			::mts::msg
setudef flag mts
proc ::mts::pub {nick uhost hand chan args} {
if {![channel get $chan mts]} { return 0 }
if { [llength [split [lindex $args 0] ] ] > 1 || [llength [split [lindex $args 0] ] ] == 0 } { set args [split [lindex $args 0]] }
::mts::mts $nick $uhost $hand $chan $args
}
proc ::mts::msg {nick uhost hand args} {
if { [llength [split [lindex $args 0] ] ] > 1 || [llength [split [lindex $args 0] ] ] == 0 } { set args [split [lindex $args 0]] }
::mts::mts $nick $uhost $hand $nick $args
}
proc ::mts::mts {nick uhost hand chan text} {
global mts
if {$text == ""} { ::egglib::outh $nick $chan "!mts" "<> <>"
return
}
set num [lindex $text 0]
set sms [lrange $text 1 end]
set sms [::egglib::to_translit $sms]
if {$sms == "" } {::egglib::out $nick $chan "  ... -.-"
return
}
if {[string length $sms] > 160 } { ::egglib::out $nick $chan "     160 "
return
}
if {$num == ""} {::egglib::out $nick $chan "  ... -.-"
return
}
################################################################
###########    <Deniska @ RusNet> ################
################################################################
set data [ctime [unixtime]]
set year [lindex $data end]
set Mon [lindex $data 1]
if { $Mon == "Jan" } { set Mon "01" }
if { $Mon == "Feb" } { set Mon "02" }
if { $Mon == "Mar" } { set Mon "03" }
if { $Mon == "Apr" } { set Mon "04" }
if { $Mon == "May" } { set Mon "05" }
if { $Mon == "Jun" } { set Mon "06" }
if { $Mon == "Jul" } { set Mon "07" }
if { $Mon == "Aug" } { set Mon "08" }
if { $Mon == "Sep" } { set Mon "09" }
if { $Mon == "Oct" } { set Mon "10" }
if { $Mon == "Nov" } { set Mon "11" }
if { $Mon == "Dec" } { set Mon "12" }
set day [lindex $data 2]
set curtime [split [lindex $data 3] "\:"]
set hour [lindex $curtime 0]
set min [expr [lindex $curtime 1] + 10]
set query "http://www.ivanovo.mts.ru/cgi-bin/cgi.exe?function=sms_send&To=$num&Msg=$sms&Hour=$hour&Min=$min&Day=$day&Year=$year&Mon=$Mon"
set id [::egglib::http_init "::mts::"]
if { $mts(use_proxy) } {
 ::egglib::http_set_proxy $id $mts(proxy_host) $mts(proxy_port)
	}
::egglib::http_get $id $query [list $nick $uhost $chan $num]}
proc ::mts::on_error {id nick uhost chan} {
::egglib::out $nick $chan "     ... -.-"
}
proc ::mts::on_data {id data nick uhost chan num} {
foreach line [split $data \n] {
if { [regexp -nocase -- {<b>(.*?).</b><br>} $line g da]} {
::egglib::out $nick $chan "$da"
return
}
}
::egglib::out $nick $chan "   "
}
::egglib::srcloadlog "mts" "1.0" "hunt"
